---
EDXAPP_SETTINGS: 'devstack_docker'
EDXAPP_MEMCACHE: ['edx.devstack.memcached:11211']
EDXAPP_MYSQL_HOST: "edx.devstack.mysql57"
EDXAPP_MONGO_HOSTS:
  - "edx.devstack.mongo"

devstack: true
migrate_db: false
mongo_enable_journal: false
edxapp_npm_production: "no"

EDXAPP_LMS_GUNICORN_EXTRA_CONF: 'reload = True'

EDXAPP_NO_PREREQ_INSTALL: 0
COMMON_SSH_PASSWORD_AUTH: "yes"
EDXAPP_CMS_BASE: "edx.devstack.studio:18010"
EDXAPP_OAUTH_ENFORCE_SECURE: false
EDXAPP_LMS_BASE_SCHEME: http
COMMON_SECURITY_UPDATES: true
SECURITY_UPGRADE_ON_ANSIBLE: true

EDXAPP_INSTALL_PRIVATE_REQUIREMENTS: false

EDXAPP_SEARCH_HOST: 'edx.devstack.elasticsearch'

EDXAPP_EDXAPP_SECRET_KEY: 'DUMMY KEY ONLY FOR TO DEVSTACK'

edxapp_debian_pkgs_extra:
  - mongodb-clients
  - mysql-client

edxapp_environment_extra:
  SELENIUM_BROWSER: 'firefox'
  SELENIUM_HOST: 'edx.devstack.firefox'
  SELENIUM_PORT: '4444'

EDXAPP_XQUEUE_URL: 'http://edx.devstack.xqueue:18040'

EDXAPP_ENABLE_EDXNOTES: true
EDXAPP_EDXNOTES_INTERNAL_API: 'http://edx.devstack.edx_notes_api:18120/api/v1'
